
/* Bearbeitungsfelder */

.edit_dataset{
	display:flex;
	flex-direction: column;
	border: 1px solid #979797;
	margin: 2em;
	margin-top: 0;
}
/* Zeile innerhalb des db_edit Containers */
.edit_dataset .dataset_row{
	display: flex;
	flex-direction: row;
	justify-content: space-between;
	flex-wrap: wrap;
}


.edit_dataset .dataset_row:nth-child(even){
	background-color: #e4e4e4;
}
.edit_dataset .dataset_row:nth-child(odd){
	background-color: #f2f2f2;
}



/* Spalte/ Zelle innerhalb einer Zeile */
.edit_dataset  .dataset_row .title, .row_content {
	text-align: left;
	vertical-align:top;
	padding: 1em;
	flex-grow: 1;
	border: 1px solid white;
	display: flex;
	flex-direction: row;
	justify-content: space-between;
	flex-wrap: wrap;
	min-width: 300px;
}

.edit_dataset  .dataset_row .last_row  {
	padding: 1em;
	border: 1px solid white;
	width:100%;
}






.edit_dataset  .dataset_row .title {
	font-weight: bold;
	width: 15%;
	font-size: 0.9em;
}

.row_content{
	width: 65%;
}


.row_content  .create_button {
	width:100px;
	float:left;
	margin-left:1em;
	margin-top:-1em;
	height: 1.2em;
	font-size: 0.8em;
	text-align:center;
	vertical-align:middle;
	background-color:#eee;
	border: solid 1px black;
}
.row_content  .create_button:hover {
	background-color:lightgreen;
}

.row_content .textfield, .row_content .datalist    {
	width: 70%;
	height: 2em;
	font-size: 1em;
	text-indent: 5px;
	float:left;
}

.row_content .textarea {
	width: 70%;
	height: 4em;
	font-size: 1em;
	padding:1em;
	float:left;
}



.select {
	margin-left:50px;
	width: 50%;
	height:1.5em;
	font-size:0.8em:
}


.inner_title{
	font-weight: bold;
	font-size: 0.8em;
}

.inner_title > hr{
	margin-bottom: 1em;
}


.edit_select  {
	width: 70%;
	height: 2em;
	font-size: 1em;
	text-indent: 5px;
	float:left;
}

.row_content .edit {
	justify-content: space-between;
	width: 100%;
}

.row_content .view{
	justify-content: space-between;
	width: 100%;
}





/* */

.row_content > div > div > ul{
	padding-left: 1em;
	margin-bottom: 0;
}

.row_content > div > div > ul:first-child{
	margin-top: 0;
}

.row_content > div > div > ul > li{
	margin-bottom: 1em;
}

.row_content > div > div > ul > li:last-child{
	margin-bottom: 0;
}

.row_content > div > div > ul ~ i{
	display: block;
	margin-top: 1em;
}

.row_content > div > div > ul ~ select{
	margin-top: 1em;
}

.row_content > div > div > ul ~ input{
	margin-top: 1em;
}


.row_content > div > div > input.datalist  {
	margin-top: 1em;
}

.last_row {
	width:100%;
	display:flex;
	justify-content:space-around;
}

.copy_button{
	border-radius: 10px;
	background-color: lightblue;
	width: 180px; height:30px; line-height:30px;
	color: black;
	cursor: pointer;
	text-align: center; vertical-align:middle;
	border: solid 1px darkblue;
	font-size:0.8em;
}
.copy_button:hover{
	background-color: darkblue;
	color: white;
	border: solid 1px lightblue;
}

.save_button{
	border-radius: 10px;
	font-weight:bold;
	background-color: lightgreen;
	width: 200px; height:30px;  line-height:30px;
	color: black;
	cursor: pointer;
	text-align: center; vertical-align:middle;
	font-size:1em;
	border: solid 1px darkgreen;
}
.save_button:hover {
	background-color: darkgreen;
	border:solid 1px  lightgreen;
	color: white;
}



.delete_button{
	border-radius: 10px;
	background-color: orange;
	width: 180px; height:30px;  line-height:30px;
	color: black;
	cursor: pointer;
	text-align: center; 	
	border:solid 1px #930000;
	font-size:0.8em;
}
.delete_button:hover {
	background-color: #930000;
	border:solid 1px orange;
	color: #FF0;
}




.create_button{
	border-radius: 10px;
	padding:2px;
	background-color: gey;
	color:black;
	cursor: pointer;
	text-align: center;
}


.tooltip
	{
	position: relative;
	display: inline-block;
	cursor:pointer;
	}

.tooltip .tooltiptext {
	font-weight:normal;
	line-height:1.5em;
	visibility: hidden;
	width: 300px;
	background-color: lavender;
	color: #black;
	text-align: center;
	border-radius: 6px;
	padding: 15px;
	font-size:1em;
	position: absolute;
	z-index: 1;
	/*bottom: 125%; */
	left: -6px; 
	margin-left: -150px;
	top: 100%;
	opacity: 0;
	border: solid 1px black;
	transition: opacity 0.3s;
	
	
}

.tooltip .tooltiptext::after {
  content: "";
  position: absolute;
  top: -10px;
  left: 50%;
  margin-left: -6px;
  border-width: 5px;
  border-style: solid;
  border-color:  transparent  transparent black transparent;
  opacity: 1;
  z-index: 999;
}

.tooltip:hover .tooltiptext {
  visibility: visible;
  opacity: 1;
  z-index: 999;
}





.sub_container{
	width: 95%;
	border: 1px solid gray;
	display: flex;
	flex-direction: column;
	font-size: 0.8em;
}

.sub_container > div:nth-child(even){
	background-color: #e4e4e4;
}

.sub_container > div:nth-child(odd){
	background-color: #f2f2f2;
}


.sub_containerheadline{
	padding: 1em;
	text-align: center;
	background-color: white;
}

.sub_containerrow{
	display:flex;
	flex-direction: row;
	flex-wrap: wrap;
}



.sub_containertitle, .sub_containercontent{
	border: 1px solid white;

	padding: 0.5em;
	justify-content: space-between;
}



.sub_containertitle{
	font-weight: bold;
	width: 20%;
}

.sub_containercontent{
	width: 70%;
}


.sub_containercontent >  select  {
	width: 70%;
	height: 2em;
	text-indent: 5px;

}

.sub_containercontent > input  {
	width: 70%;
	height: 2em;
	text-indent: 5px;
}


.sub_table   {
	margin-left: 20px;
}


.sub_table  td {
	
	font-size: 0.8em;
	
	}

.embedded_col{
	background-color: #fff;
	padding:5px;
}



.sub_table  td:first-child
	{
	font-weight:bold;
	padding-right:10px;
	font-size: 0.7em;
	}


.inner_title{
	font-weight: bold;
	font-size: 0.8em;
}

.inner_title > hr{
	margin-bottom: 1em;
}
